tys.fitGroups.list()
list(params: FitGroupListParams = {}, options?: RequestOptions): PagePromise<FitGroupPage, FitGroup>Parameters
Section titled “Parameters”paramsFitGroupListParamsOptional= {}limit and cursor.
optionsRequestOptionsOptionalReturns
Section titled “Returns”PagePromise<FitGroupPage, FitGroup>: Fit groups. Await it for one page ({ data, has_more, next_cursor }), or for await over every item. See PagePromise.
Example
Section titled “Example”for await (const g of tys.fitGroups.list()) console.log(g.id, g.name);for group in tys.fit_groups.list().auto_paging_iter(): print(group["id"], group["name"])curl https://api.tryyoursize.com/v1/fit_groups \ -H "Authorization: Bearer $TRYYOURSIZE_SECRET_KEY" \ -H "TYS-Version: 2026-10-25"See also
Section titled “See also”Was this page helpful?
Thank you. We read every answer.